/*
Theme Name: Texas Farm Bureau Child Theme
Theme URI: http://solve4xstudio.com
Version: 1.4
Description: Texas Farm Bureau Custom Theme - Child theme
Author: Solve4x Brand and Code
Author URI: http://solve4xstudio.com
template: bb-theme
*/

/* Add your custom styles here... */ 

.headerpart, .footerpart {
    display: none !important;
}
.headerpart, .footerpart {
    text-align: center;
    width: 100%;
}
.pp-menu-overlay .headerpart {
    display: inline-block !important;
	color: white;
}
.pp-menu-overlay .footerpart {
    display: inline-block !important;
	color: white;
}
.photoplaceholder .fl-module-content{
	opacity: 0;
}
.inlinecolumn .fl-col-content {
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-ms-flex-direction: row;
	flex-direction: row;
    text-align: right !important;
    -webkit-box-pack: end !important;
    -ms-flex-pack: end !important;
    justify-content: flex-end !important;
}
.inlinemenu {
    width: auto !important;
}
.mobonly{
	display: none !important;
}
.uabb-menu-overlay .mobonly {
    display: inline-block !important;
}
.uabb-menu-overlay .menu-item .menu-item-text {
    font-size: 20px !important;
}
.uabb-creative-menu .uabb-menu-overlay > ul.menu {
    text-align: center;
    position: relative;
    top: 30px;
    width: 40%;
    height: auto;
    margin: 0 auto;
    -webkit-transform: unset;
    transform: unset;
}
span.uabb-menu-toggle {
    float: none !important;
}
img.sitelogo {
max-width: 320px !important;
    max-height: 100px !important;
}
h1.sitetitle {
    margin: 0px !important;
	color: white;
}
p {
    margin: 0 0 25px;
}
.homeheader {
    position: relative;
}
.searchcolumn {
    position: absolute;
    bottom: calc(0px - 150px);
    width: 100% !important;
}
.maxheadtitle .fl-heading {
    max-width: 850px;
    margin: 0 auto !important;
}
h3.pp-testimonials-title:before {
    content: '';
    background-image: url('/wp-content/uploads/2024/09/tquote-1.webp');
    height: 26px;
    width: 100%;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.bannerstar {
    position: absolute;
    bottom: 0px;
    right: 0px;
}
.owl-theme .owl-dots .owl-dot span {
    width: 13px;
    height: 13px;
    margin: 5px 7px;
    background: #D6D6D6;
    display: block;
    -webkit-backface-visibility: visible;
    -webkit-transition: opacity 200ms ease;
    transition: opacity 200ms ease;
    border-radius: 30px;
}
.maxedcol .fl-col-content.fl-node-content {
    max-width: 550px;
    margin: 0 auto;
    padding: 0px 20px;
}
.positioncontent .fl-col-content.fl-node-content {
    max-width: 1050px;
    margin: 0 auto;
}
input.facetwp-autocomplete-update {
    display: none;
}
.homesearch .facetwp-facet-search_keywords i.facetwp-icon {
    display: none;
}
.homesearch .searchbox {
    z-index: 10;
    position: relative;
}
.filter_wrapper .facetwp-facet-position_type .fs-search {
    display: none;
}
.homesearch .searchtitle {
    color: white;
    font-size: 27px;
    display: inline-block;
    float: left;
    padding: 0px 25px 0px 30px;
    line-height: 40px;
}
.homesearch .facetwp-facet {
    margin-bottom: 0px !important;
}
.homesearch .facetwp-facet.facetwp-facet-search_keywords.facetwp-type-search {
    display: inline-block;
    float: left;
    padding: 0px 25px 0px 0px;
}
.homesearch .facetwp-facet.facetwp-facet-search_locations.facetwp-type-proximity {
    display: inline-block;
    float: left;
    padding: 0px 25px 0px 0px;    
}
.homesearch select.facetwp-radius.facetwp-radius-dropdown {
    margin-left: 6px;
}
.homesearch input.facetwp-search {
    border-radius: 0px;
    font-family: "Mukta", sans-serif;
    font-size: 18px;
    font-weight: 200;
    padding: 4px 12px;
    line-height: 1;
}
.homesearch .facetwp-facet input.facetwp-location {
    border-radius: 0px;
    font-family: "Mukta", sans-serif;
    font-size: 18px;
    font-weight: 200;
    padding: 4px 12px;
    line-height: 1;
}
.homesearch select.facetwp-radius.facetwp-radius-dropdown {
    margin-left: 6px;
    font-size: 18px;
    line-height: 1;
    padding: 4px 12px;
    border-radius: 0px !important;
    border: 0px !important;
}
.homesearch button.fwp-submit {
    color: #fff;
    background-color: #d6000f;
    font-family: "Mukta", sans-serif;
    font-weight: 300;
    font-size: 18px;
    line-height: 1;
    text-transform: none;
    border-style: solid;
    border-width: 1px;
    border-color: #fff;
    border-radius: 0px;
    padding: 10px 20px;
}
.homesearch button.fwp-submit:hover {
    color: #fff;
    background-color: #002956;
}
.homesearch .facetwp-facet input.facetwp-location::-webkit-input-placeholder{
        color: #000000 !important;
        opacity: 1 !important;
}
.homesearch .facetwp-facet input.facetwp-location:-ms-input-placeholder{
        color: #000000 !important;
        opacity: 1 !important;
}
.homesearch .facetwp-facet input.facetwp-location::placeholder{
        color: #000000 !important;
        opacity: 1 !important;
}
.homesearch input.facetwp-search::-webkit-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.homesearch input.facetwp-search:-ms-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.homesearch input.facetwp-search::placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}

.filter_wrapper .facetwp-type-fselect .fs-wrap, .filter_wrapper .facetwp-type-fselect .fs-dropdown {
    width: 100% !important;
}
.filter_wrapper .fs-label-wrap {
    position: relative;
    background-color: transparent !important;
    cursor: default;
    text-transform: uppercase !important;
    border-width: 1px 0px 0px 0px;
    border-color: #000000;
    padding: 20px 0px 0px 0px;
    
}
.filter_wrapper .facetwp-facet {
    margin-bottom: 20px;
}
.filter_wrapper .linebotton .facetwp-facet {
    margin-bottom: 15px;
}

.filter_wrapper .fs-label-wrap .fs-label {
    padding: 6px 22px 0px 8px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.filter_wrapper .fs-wrap.multiple .fs-option.selected .fs-checkbox i {
    background-color: #d6000f !important;
    border-color: transparent;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAGCAYAAAD+Bd/7AAAABHNCS…AfHvzAHjOKNzhiQ42IDFXCDivaaxAJd0xYshT3QqBxqnxeHvhunpu23xnmAAAAAElFTkSuQmCC);
    background-repeat: no-repeat;
    background-position: center;
}
.filter_wrapper .fs-option-label {
    display: inline-block !important;
    font-size: 18px;
}
.filter_wrapper .fs-dropdown {
    position: relative !important;
    background-color: #fff;
    border: 1px solid #ddd;
    margin-top: 5px;
    z-index: 1;
}
a.positionwindow:focus {
    outline: 0px auto -webkit-focus-ring-color;
}
a.positionwindow {
    border: 0px !important;
    font-size: 18px;
    font-weight: bold;
}
.boxlocation{
    width:100%;
}

.filter_wrapper .facetwp-facet.facetwp-facet-search_keywords.facetwp-type-search span.facetwp-input-wrap {
    width: 100%;
}
.filter_wrapper input.facetwp-search{
    border-radius: 0px;
    font-family: "Mukta", sans-serif;
    font-size: 18px;
    font-weight: 200;
    padding: 10px 12px;
    line-height: 1;
    background: white;
    border: 0px;
    min-width: unset !important;
}
.filter_wrapper .facetwp-facet input.facetwp-location {
    border-radius: 0px;
    font-family: "Mukta", sans-serif;
    font-size: 18px;
    font-weight: 200;
    padding: 10px 12px;
    line-height: 1;
    background: white;
    border: 0px;
   min-width: unset !important;
}
.filter_wrapper .facetwp-facet.facetwp-facet-search_locations.facetwp-type-proximity {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
.filter_wrapper .facetwp-facet.facetwp-facet-search_locations.facetwp-type-proximity .facetwp-input-wrap{
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}
.filter_wrapper a.facetwp-reset {
    text-transform: uppercase;
}
.filter_wrapper select.facetwp-radius.facetwp-radius-dropdown {
    margin-left: 6px;
    font-size: 18px;
    line-height: 1;
    padding: 10px 8px;
    border-radius: 0px !important;
    border: 0px !important;
	-webkit-appearance: none !important;
}
.filter_wrapper  .facetwp-facet input.facetwp-location::-webkit-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.filter_wrapper  .facetwp-facet input.facetwp-location:-ms-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.filter_wrapper  .facetwp-facet input.facetwp-location::placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.fs-arrow {
    border-left: 0px solid transparent !important;
    border-right: 0px solid transparent !important;
    border-top: 0px solid #333 !important;
    position: absolute;
    top: 17px !important;
    right: 5px;
    bottom: 0;
    margin: auto;
    -webkit-transition: ease-in 0.15s;
    transition: ease-in 0.15s;
    background-image: url('/wp-content/uploads/2024/09/unnamed-file.png') !important;
    height: 12px !important;
    width: 12px !important;
    background-repeat: no-repeat;
    background-size: contain;
}
.fs-open .fs-arrow {
    -webkit-transform: rotate(-225deg) !important;
    transform: rotate(-225deg) !important;
}

.filter_wrapper .facetwp-type-search .facetwp-icon{
    background-color: #D61F27 !important;
}
.filter_wrapper .facetwp-type-search .facetwp-icon:hover{
    background-color: #002956 !important;
}
.filter_wrapper .facetwp-type-search .facetwp-icon:before{
    display: inline-block;
    content: '';
    background-image: url('/wp-content/uploads/2024/09/magglass.webp');
    width: 50px !important;
    height: 100%;
    background-position: 50% 50%;
    background-size: 20px 20px;
}
.filter_wrapper .facetwp-type-search .facetwp-icon{
        opacity: 1 !important;
}

.filter_wrapper input.facetwp-search::-webkit-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.filter_wrapper input.facetwp-search:-ms-input-placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.filter_wrapper input.facetwp-search::placeholder {
    color: #000000 !important;
        opacity: 1 !important;
}
.filter_wrapper button.fwp-submit {
    color: #fff;
    background-color: #d6000f;
    font-family: "Mukta", sans-serif;
    font-weight: 300;
    font-size: 18px;
    line-height: 1;
    text-transform: none;
    border-style: solid;
    border-width: 1px;
    border-color: #fff;
    border-radius: 0px;
    padding: 10px 20px;
}
.filter_wrapper button.fwp-submit:hover {
        color: #fff;
    background-color: #002956;
}


.buttonsearch .fl-module-content.fl-node-content {
    text-align: center;
}

.linetop .facetwp-bb-module {
    border-bottom: 1px solid;
}
.innerfilters .fl-col-content.fl-node-content {
    max-width: 480px;
    margin: 0 auto;
}
#facetwp-map {
    width: 100% !important;
    height: 400px !important;
}
.location-results {
    z-index: 10 !important;
}
button.facetwp-map-filtering {
    display: none;
}
button.gm-svpc {
    display: none;
}
.positioncontent {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}


@media only screen and (max-width: 1100px) {
.homesearch .facetwp-facet.facetwp-facet-search_locations.facetwp-type-proximity {
    width: 100%;
    text-align: center;
    margin-bottom: 20px !important;
}
.homesearch .facetwp-facet.facetwp-facet-search_keywords.facetwp-type-search {
    width: 100%;
    text-align: center;
    margin-bottom: 20px !important;
}
.homesearch .searchtitle {
    width: 100%;
    text-align: center;
    margin-bottom: 15px;
}
.homesearch .searchbox {
    text-align: center;
}
.homesearch button.fwp-submit {
    display: inline-block;
    margin: 0 auto !important;
    float: none !important;
}
.homesearch .facetwp-facet.facetwp-facet-search_keywords.facetwp-type-search {
    padding: 0px 25px 0px 25px;
}
.homesearch .facetwp-facet.facetwp-facet-search_locations.facetwp-type-proximity{
            padding: 0px 25px 0px 25px;
    }
}
.sitelog img {
    min-height: 80px;
    max-height: 100px;
}
.gform_button {
    color: #fff;
    background-color: #d6000f;
    font-family: "Mukta", sans-serif !important;
    font-weight: 300;
    font-size: 18px !important;
    line-height: 1 !important;
    border-style: solid !important;
    border-width: 1px !important;
    border-color: #fff !important;
    border-radius: 0px;
    padding: 10px 20px !important;
	text-transform: uppercase !important;
}
input#input_1_4 {
    font-size: 15px;
}
.gchoice label {
    font-size: 19px !important;
}
.gfield_label {
    font-size: 20px !important;
	    border-bottom: 0px;
}
.gfield {
    margin-bottom: 15px !important;
}